Loading...
Searching...
No Matches
core_ipa_interface.h File Reference

libcamera structs for IPAs More...

`#include <string>`
`#include <type_traits>`
`#include <utility>`
`#include <vector>`
`#include <libcamera/controls.h>`
`#include <libcamera/framebuffer.h>`
`#include <libcamera/geometry.h>`
`#include <libcamera/ipa/ipa_interface.h>`
Include dependency graph for core_ipa_interface.h:

Go to the source code of this file.

## Classes

struct | libcamera::IPACameraSensorInfo
| Report the image sensor characteristics. More...
struct | libcamera::IPABuffer
| Buffer information for the IPA interface. More...
struct | libcamera::IPASettings
| IPA interface initialization settings. More...
struct | libcamera::IPAStream
| Stream configuration for the IPA interface. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

libcamera structs for IPAs